use rand::{distributions::Uniform, Rng};

pub fn generate_link_id(length: u32) -> String {
    let mut rng = rand::thread_rng();
    let alphabet = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_";
    let mut link = String::with_capacity(length as usize);
    for _ in 0..length {
        link.push(alphabet.chars().nth(rng.sample(Uniform::new(0u8, 64u8)) as usize).unwrap());
    }
    if link == "create" || link == "p" {
        return generate_link_id(length);
    }
    return link;
}